#!/usr/bin/python
# coding: utf-8

class Joueur:

    def __init__(self, nom, gpio, bouton):
        self._nom = nom
        self._gpio = gpio
        self._bouton = bouton
        self._score = 0
        self._triche = 0

        self._gpio.setup(bouton, self._gpio.IN, pull_up_down=self._gpio.PUD_UP) 

    def get_nom(self) : return self._nom
    
    def get_bouton(self) : return self._bouton   
    
    def set_score(self,value): self._score = value
    def get_score(self):  return self._score
    
    def set_triche(self,value): self._triche = value
    def get_triche(self):  return self._triche

    def add_bouton_event(self,event):
        self._gpio.add_event_detect(self._bouton, self._gpio.FALLING, callback=event, bouncetime=100)

    def rem_bouton_event(self):
        self._gpio.remove_event_detect(self._bouton)

    nom = property (get_nom)
    bouton = property (get_bouton)
    score = property (get_score,set_score)
    triche = property (get_triche,set_triche)
